CREATE TABLE egp_structures_b_ (
    ALTERNATE_BOM_DESIGNATOR     VARCHAR2(320) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    CREATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    COMMON_ASSEMBLY_ITEM_ID      NUMBER(18, 0) ,
    SPECIFIC_ASSEMBLY_COMMENT    VARCHAR2(960) ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE11                  VARCHAR2(600) ,
    ATTRIBUTE12                  VARCHAR2(600) ,
    ATTRIBUTE13                  VARCHAR2(600) ,
    ATTRIBUTE14                  VARCHAR2(600) ,
    ATTRIBUTE15                  VARCHAR2(600) ,
    ATTRIBUTE16                  VARCHAR2(600) ,
    ATTRIBUTE17                  VARCHAR2(600) ,
    ATTRIBUTE18                  VARCHAR2(600) ,
    ATTRIBUTE19                  VARCHAR2(600) ,
    ATTRIBUTE20                  VARCHAR2(600) ,
    ATTRIBUTE21                  VARCHAR2(600) ,
    ATTRIBUTE22                  VARCHAR2(600) ,
    ATTRIBUTE23                  VARCHAR2(600) ,
    ATTRIBUTE24                  VARCHAR2(600) ,
    ATTRIBUTE25                  VARCHAR2(600) ,
    ATTRIBUTE26                  VARCHAR2(600) ,
    ATTRIBUTE27                  VARCHAR2(600) ,
    ATTRIBUTE28                  VARCHAR2(600) ,
    ATTRIBUTE29                  VARCHAR2(600) ,
    ATTRIBUTE30                  VARCHAR2(600) ,
    COMMON_BILL_SEQUENCE_ID      NUMBER(18, 0) ,
    BILL_SEQUENCE_ID             NUMBER(18, 0) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    COMMON_ORGANIZATION_ID       NUMBER(18, 0) ,
    ORIGINAL_SYSTEM_REFERENCE    VARCHAR2(200) ,
    STRUCTURE_TYPE_ID            NUMBER(18, 0) ,
    OBJ_NAME                     VARCHAR2(120) ,
    PK1_VALUE                    VARCHAR2(960) ,
    PK2_VALUE                    VARCHAR2(960) ,
    PK3_VALUE                    VARCHAR2(960) ,
    PK4_VALUE                    VARCHAR2(960) ,
    PK5_VALUE                    VARCHAR2(960) ,
    EFFECTIVITY_CONTROL          NUMBER        ,
    SOURCE_BILL_SEQUENCE_ID      NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)  ,
    PROGRAM_NAME                 VARCHAR2(120) ,
    PROGRAM_APP_NAME             VARCHAR2(200) ,
    CHANGE_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    CHANGE_LINE_ID               NUMBER(18, 0) ,
    VERSION_ID                   NUMBER        ,
    ATTRIBUTE_NUMBER1            NUMBER        ,
    ATTRIBUTE_NUMBER2            NUMBER        ,
    ATTRIBUTE_NUMBER3            NUMBER        ,
    ATTRIBUTE_NUMBER4            NUMBER        ,
    ATTRIBUTE_NUMBER5            NUMBER        ,
    ATTRIBUTE_NUMBER6            NUMBER        ,
    ATTRIBUTE_NUMBER7            NUMBER        ,
    ATTRIBUTE_NUMBER8            NUMBER        ,
    ATTRIBUTE_NUMBER9            NUMBER        ,
    ATTRIBUTE_NUMBER10           NUMBER        ,
    ATTRIBUTE_DATE1              DATE          ,
    ATTRIBUTE_DATE2              DATE          ,
    ATTRIBUTE_DATE3              DATE          ,
    ATTRIBUTE_DATE4              DATE          ,
    ATTRIBUTE_DATE5              DATE          ,
    ATTRIBUTE_TIMESTAMP1         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5         TIMESTAMP(6)  ,
    AUDIT_ACTION_TYPE_           VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_        VARCHAR2(4000),
    AUDIT_IMPERSONATOR_          VARCHAR2(256) ,
    ALTERNATE_BOM_DESIGNATOR     VARCHAR2(320) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    CREATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    COMMON_ASSEMBLY_ITEM_ID      NUMBER(18, 0) ,
    SPECIFIC_ASSEMBLY_COMMENT    VARCHAR2(960) ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE11                  VARCHAR2(600) ,
    ATTRIBUTE12                  VARCHAR2(600) ,
    ATTRIBUTE13                  VARCHAR2(600) ,
    ATTRIBUTE14                  VARCHAR2(600) ,
    ATTRIBUTE15                  VARCHAR2(600) ,
    ATTRIBUTE16                  VARCHAR2(600) ,
    ATTRIBUTE17                  VARCHAR2(600) ,
    ATTRIBUTE18                  VARCHAR2(600) ,
    ATTRIBUTE19                  VARCHAR2(600) ,
    ATTRIBUTE20                  VARCHAR2(600) ,
    ATTRIBUTE21                  VARCHAR2(600) ,
    ATTRIBUTE22                  VARCHAR2(600) ,
    ATTRIBUTE23                  VARCHAR2(600) ,
    ATTRIBUTE24                  VARCHAR2(600) ,
    ATTRIBUTE25                  VARCHAR2(600) ,
    ATTRIBUTE26                  VARCHAR2(600) ,
    ATTRIBUTE27                  VARCHAR2(600) ,
    ATTRIBUTE28                  VARCHAR2(600) ,
    ATTRIBUTE29                  VARCHAR2(600) ,
    ATTRIBUTE30                  VARCHAR2(600) ,
    COMMON_BILL_SEQUENCE_ID      NUMBER(18, 0) ,
    BILL_SEQUENCE_ID             NUMBER(18, 0) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    COMMON_ORGANIZATION_ID       NUMBER(18, 0) ,
    ORIGINAL_SYSTEM_REFERENCE    VARCHAR2(200) ,
    STRUCTURE_TYPE_ID            NUMBER(18, 0) ,
    OBJ_NAME                     VARCHAR2(120) ,
    PK1_VALUE                    VARCHAR2(960) ,
    PK2_VALUE                    VARCHAR2(960) ,
    PK3_VALUE                    VARCHAR2(960) ,
    PK4_VALUE                    VARCHAR2(960) ,
    PK5_VALUE                    VARCHAR2(960) ,
    EFFECTIVITY_CONTROL          NUMBER        ,
    SOURCE_BILL_SEQUENCE_ID      NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)  ,
    PROGRAM_NAME                 VARCHAR2(120) ,
    PROGRAM_APP_NAME             VARCHAR2(200) ,
    CHANGE_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    CHANGE_LINE_ID               NUMBER(18, 0) ,
    VERSION_ID                   NUMBER        ,
    ATTRIBUTE_NUMBER1            NUMBER        ,
    ATTRIBUTE_NUMBER2            NUMBER        ,
    ATTRIBUTE_NUMBER3            NUMBER        ,
    ATTRIBUTE_NUMBER4            NUMBER        ,
    ATTRIBUTE_NUMBER5            NUMBER        ,
    ATTRIBUTE_NUMBER6            NUMBER        ,
    ATTRIBUTE_NUMBER7            NUMBER        ,
    ATTRIBUTE_NUMBER8            NUMBER        ,
    ATTRIBUTE_NUMBER9            NUMBER        ,
    ATTRIBUTE_NUMBER10           NUMBER        ,
    ATTRIBUTE_DATE1              DATE          ,
    ATTRIBUTE_DATE2              DATE          ,
    ATTRIBUTE_DATE3              DATE          ,
    ATTRIBUTE_DATE4              DATE          ,
    ATTRIBUTE_DATE5              DATE          ,
    ATTRIBUTE_TIMESTAMP1         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4         TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5         TIMESTAMP(6)  ,
    AUDIT_ACTION_TYPE_           VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_        VARCHAR2(4000),
    AUDIT_IMPERSONATOR_          VARCHAR2(256) ,
    CONSTRAINT pk_egp_structures_b_ PRIMARY KEY (LAST_UPDATE_DATE, LAST_UPDATED_BY, BILL_SEQUENCE_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, BILL_SEQUENCE_ID)
);
